Subject: Re: [RFC PATCH 1/1] Define an extended tree format

From: Jeff King <[email-masked]>
Date: Wed, 1 Oct 2025 19:00:43 -0400

On Wed, Oct 01, 2025 at 09:45:29PM +0000, brian m. carlson wrote:

> > Of course that is strictly worse for somebody who is relying on the
> > current accidental behavior. ;) And in the long run, I think this is the
> > spot we'd want to hook to do whatever massaging we need (whether
> > converting to the equivalent in-repo algorithm, or hacking up the name
> > to store the foreign hash).
> 
> I think sending in this patch is a good first step right now.  The
> intention of the transition document is that the code is in one and only
> one hash algorithm at a time and it would be better to reject this case
> until we're ready to wire it up correctly than end up with data that's
> corrupt down the line.

OK. I'll try to clean it up and add some tests, but it may not be until
next week.

-Peff